System requirements

NXPowerLite for Microsoft Exchange / NXPowerLite Scanner for Microsoft Exchange

  • Any Windows OS from XP/2003 onwards with latest service pack.
  • .NET Framework 3.5, 4.0 or 4.5 installed.
  • The connected Microsoft Exchange Client Access server will need to have a trusted SSL certificate, or if it has a self-signed certificate , the certificate will need to be installed on the computer running NXPowerLite. See our support article "Troubleshooting NXPowerLite for Microsoft Exchange SSL certificate problems" for further information.

Exchange Server Connection

Neuxpower Support Article Logo
Have more questions? Submit a request